Bug 200107 - Remove Swing Application Framework library from NetBeans
Remove Swing Application Framework library from NetBeans
Status: RESOLVED FIXED
Product: guibuilder
Classification: Unclassified
Component: App Framework
7.1
All All
: P1 (vote)
: 7.1
Assigned To: Jan Stola
issues@guibuilder
: PLAN
Depends on: 206786
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 12:10 UTC by Jan Stola
Modified: 2011-12-29 14:57 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2011-07-13 12:10:04 UTC
It has been decided to discontinue the support for Swing Application Framework. 

Hence, we should
a) remove swingapp module from the build
b) remove samples based on Swing Application Framework
   (Document Editor, Mars Rover Viewer)
c) remove help topics related to functionality being removed
d) provide LibraryDefiner for Swing Application Framework library
   to allow compilation of the existing projects (it should download
   the library from Maven repository or directly from java.net)
e) provide explanatory dialog shown when user attempts to open
   form file based on Swing Application Framework
Comment 1 Jan Stola 2011-07-19 13:21:14 UTC
Parts a) b) and e) has been implemented by
http://hg.netbeans.org/jet-main/rev/13d21bc284e5
Comment 2 Jesse Glick 2011-07-21 17:08:13 UTC
76c48fc7179e apparently implements part (d). But rather than copying and pasting code, leading to unmaintainable copies scattered throughout the codebase, why not define a proper API that both junit and swingapp can use? http://bugzilla-attachments-194744.netbeans.org/bugzilla/attachment.cgi?id=105374 gives the idea.
Comment 3 Jan Stola 2011-07-22 15:00:10 UTC
Part d) has been implemented by

http://hg.netbeans.org/jet-main/rev/9bdb2db049b5
http://hg.netbeans.org/jet-main/rev/76c48fc7179e
http://hg.netbeans.org/jet-main/rev/bb8adba95380

Part c) is covered by issue 200318

Hence, I am closing this issue as FIXED.

> But rather than copying and pasting code, leading to unmaintainable copies
> scattered throughout the codebase, why not define a proper API that both
> junit and swingapp can use?
> http://bugzilla-attachments-194744.netbeans.org/bugzilla/attachment.cgi?id=105374
> gives the idea.

Of course, it is clear to me that it is not ideal to copy the mentioned code. On the other hand, the API is not there yet and I was asked to make the fix as soon as possible because there was a risk that we will have to port it to NetBeans 7.0.1 as well (happily, it doesn't seem to be the case according to the latest news). In any case, I will be happy to utilize such API once introduced, but I am not responsible for that area. Feel free to fill a corresponding request against java/project


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo